From f3dbb107fce8ad03fd4bfef921d9bf38003d47c7 Mon Sep 17 00:00:00 2001
From: jdh8d <jdh8d@git.zephyr-software.com>
Date: Mon, 29 Jan 2018 16:25:16 +0000
Subject: [PATCH] updated to use ida7 by default.  includes build and script
 changes for ida and externals changes for the umbrella

Former-commit-id: eb477cf334a7a4f9bd80f478fa82b6b26da2b0a2
---
 build-all.sh          | 20 ++++++++++----------
 svn.externals.uva_dev |  4 ++--
 2 files changed, 12 insertions(+), 12 deletions(-)

diff --git a/build-all.sh b/build-all.sh
index ec2102d94..f596b7df9 100755
--- a/build-all.sh
+++ b/build-all.sh
@@ -76,10 +76,10 @@ if [ ! "$SECURITY_TRANSFORMS_HOME" ]; then
 fi
 
 cd $SECURITY_TRANSFORMS_HOME
-scons -j 3|| exit
+scons || exit
 
 cd $SMPSA_HOME
-scons  -j 3|| exit
+scons || exit
 
 cd $PEASOUP_HOME
 make || exit
@@ -93,35 +93,35 @@ fi
 
 if [ -d $ZIPR_HOME ]; then
 	cd $ZIPR_HOME
-	scons  -j 3|| exit
+	scons  || exit
 fi
 
 if [ -d $ZIPR_SCFI_PLUGIN ]; then
 	cd $ZIPR_SCFI_PLUGIN
-	scons  -j 3|| exit
+	scons  || exit
 fi
 
 cd $PEASOUP_UMBRELLA_DIR/zipr_large_only_plugin/
-scons -j 3|| exit
+scons || exit
 
 if [[ -e $PEASOUP_UMBRELLA_DIR/zipr ]] && [[ -e $PEASOUP_UMBRELLA_DIR/zipr_relax_plugin ]]  ; then
 	cd $PEASOUP_UMBRELLA_DIR/zipr_relax_plugin/
-	scons -j 3|| exit
+	scons || exit
 fi
 
 if [[ -e $PEASOUP_UMBRELLA_DIR/zipr ]] && [[ -e $PEASOUP_UMBRELLA_DIR/zipr_trace_plugin ]]  ; then
 	cd $PEASOUP_UMBRELLA_DIR/zipr_trace_plugin/
-	scons -j 3|| exit
+	scons || exit
 fi
 
 cd $PEASOUP_UMBRELLA_DIR/zipr_push64_reloc_plugin
-scons -j 3|| exit
+scons || exit
 
 cd $PEASOUP_UMBRELLA_DIR/zipr_unpin_plugin
-scons -j 3|| exit
+scons || exit
 
 cd $IRDB_TRANSFORMS
-scons -j 3|| exit
+scons || exit
 
 if [ -d $DAFFY_HOME ]; then
 	cd $DAFFY_HOME
diff --git a/svn.externals.uva_dev b/svn.externals.uva_dev
index 8e2c3708f..bf8bee79d 100644
--- a/svn.externals.uva_dev
+++ b/svn.externals.uva_dev
@@ -1,6 +1,6 @@
 diablo_toolchain		http://svn.zephyr-software.com/repos/diablo_toolchain/trunk/
-idaproCur            		http://svn.zephyr-software.com/repos/idaproCur/trunk/
-idaproCur_sdk        		http://svn.zephyr-software.com/repos/idaproCur_sdk/trunk/
+idaproCur            		http://svn.zephyr-software.com/repos/idapro70/trunk/
+idaproCur_sdk        		http://svn.zephyr-software.com/repos/idapro70_sdk/trunk/
 strata               		http://svn.zephyr-software.com/repos/strata/trunk/
 peasoup_examples     		http://svn.zephyr-software.com/repos/peasoup_examples/trunk/
 security_transforms  		http://svn.zephyr-software.com/repos/security_transforms/trunk/
-- 
GitLab